Subject: Re: bug#22655: grep-2.21 (and git master): --null-data and ranges work in an odd way (-P works fine)

From: Jim Meyering <[email-masked]>
Date: Mon, 22 Feb 2016 07:00:54 -0800

On Sun, Feb 21, 2016 at 12:06 PM, Paul Eggert <[email-masked]> wrote:
> Jim Meyering wrote:
>>
>> The -Pz/PCRE problem is more fundamental, and strikes
>> even with LC_ALL=C.
>
> grep should report an error when this problem occurs, rather than silently
> give incorrect answers. I installed the attached patch in a bold attempt to
> implement this; please feel free to revert if you think it goes too far.

Thank you, Paul.
That suits me, and I found no fault with the patch.

These two bugs are a big enough deal that I now plan to
make another bug-fix-only release this week.